package com.mx.cneeds.common.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName UploadDeviceChannelExcelDto
 * @Author zzrdark
 * @Date 2020-05-22 18:27
 * @Description TODO
 **/
@Data
public class UploadDeviceChannelExcelDto implements Serializable {

    /**
     * 系列id
     */
    private Long seriesId;

    private Long deptId;

    private List<UploadDeviceChannelExcelInfoDto> infos;

    /**
     * 渠道号提示信息
     */
    private String channelNumsMessage;

    /**
     * 0:白名单，1:黑名单
     */
    private Integer channelRules;

    /**
     * 渠道号Ids
     */
    private List<Long> channelNums;

    @Data
    public static class UploadDeviceChannelExcelInfoDto implements Serializable {
        private String imei;

        private String iccid;
    }
}
